org.wso2.carbon.device.mgt.mobile.windows.api.operations

## Class SequenceTag

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.SequenceTag

-     public class SequenceTag
      extends Object

  Class used to build syncml SequenceTag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildSequenceElement(Document doc, Element rootElement)`
    `AtomicTag` | `getAtomicTag()`
    `int` | `getCommandId()`
    `DeleteTag` | `getDeleteTag()`
    `ExecuteTag` | `getExec()`
    `GetTag` | `getGet()`
    `List<ReplaceTag>` | `getReplaces()`
    `void` | `setAtomicTag(AtomicTag atomicTag)`
    `void` | `setCommandId(int commandId)`
    `void` | `setDeleteTag(DeleteTag deleteTag)`
    `void` | `setExec(ExecuteTag exec)`
    `void` | `setGet(GetTag get)`
    `void` | `setReplaces(List<ReplaceTag> replaces)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceTag

          public SequenceTag()

  - ### Method Detail

    - #### getDeleteTag

          public DeleteTag getDeleteTag()

    - #### setDeleteTag

          public void setDeleteTag(DeleteTag deleteTag)

    - #### getReplaces

          public List<ReplaceTag> getReplaces()

    - #### setReplaces

          public void setReplaces(List<ReplaceTag> replaces)

    - #### getAtomicTag

          public AtomicTag getAtomicTag()

    - #### setAtomicTag

          public void setAtomicTag(AtomicTag atomicTag)

    - #### getExec

          public ExecuteTag getExec()

    - #### setExec

          public void setExec(ExecuteTag exec)

    - #### getCommandId

          public int getCommandId()

    - #### setCommandId

          public void setCommandId(int commandId)

    - #### getGet

          public GetTag getGet()

    - #### setGet

          public void setGet(GetTag get)

    - #### buildSequenceElement

          public void buildSequenceElement(Document doc,
                                  Element rootElement)

Copyright © 2017 WSO2. All rights reserved.